## net.dontdrinkandroot.wicket.bootstrap.css
Enum IconClass

    java.lang.Object
      java.lang.Enum<IconClass>
          net.dontdrinkandroot.wicket.bootstrap.css.IconClass

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<IconClass>, net.dontdrinkandroot.wicket.css.CssClass

    public enum IconClass

extends java.lang.Enum<IconClass>
implements net.dontdrinkandroot.wicket.css.CssClass

Ordinal ordering as defined by the author.

Enum Constant Summary
`ADJUST`
`ALIGN_CENTER`
`ALIGN_JUSTIFY`
`ALIGN_LEFT`
`ALIGN_RIGHT`
`ARROW_DOWN`
`ARROW_LEFT`
`ARROW_RIGHT`
`ARROW_UP`
`ASTERISK`
`BACKWARD`
`BAN_CIRCLE`
`BARCODE`
`BELL`
`BOLD`
`BOOK`
`BOOKMARK`
`BRIEFCASE`
`BULLHORN`
`CALENDAR`
`CAMERA`
`CERTIFICATE`
`CHECK`
`CHEVRON_DOWN`
`CHEVRON_LEFT`
`CHEVRON_RIGHT`
`CHEVRON_UP`
`CIRCLE_ARROW_DOWN`
`CIRCLE_ARROW_LEFT`
`CIRCLE_ARROW_RIGHT`
`CIRCLE_ARROW_UP`
`COG`
`COMMENT`
`DOWNLOAD`
`DOWNLOAD_ALT`
`EDIT`
`EJECT`
`ENVELOPE`
`EXCLAMATION_SIGN`
`EYE_CLOSE`
`EYE_OPEN`
`FACETIME_VIDEO`
`FAST_BACKWARD`
`FAST_FORWARD`
`FILE`
`FILM`
`FILTER`
`FIRE`
`FLAG`
`FOLDER_CLOSE`
`FOLDER_OPEN`
`FONT`
`FORWARD`
`FULLSCREEN`
`GIFT`
`GLASS`
`GLOBE`
`HAND_DOWN`
`HAND_LEFT`
`HAND_RIGHT`
`HAND_UP`
`HDD`
`HEADPHONES`
`HEART`
`HOME`
`INBOX`
`INDENT_LEFT`
`INDENT_RIGHT`
`INFO_SIGN`
`ITALIC`
`LEAF`
`LIST`
`LIST_ALT`
`LOCK`
`MAGNET`
`MAP_MARKER`
`MINUS`
`MINUS_SIGN`
`MOVE`
`MUSIC`
`OFF`
`OK`
`OK_CIRCLE`
`OK_SIGN`
`PAUSE`
`PENCIL`
`PICTURE`
`PLANE`
`PLAY`
`PLAY_CIRCLE`
`PLUS`
`PLUS_SIGN`
`PRINT`
`QRCODE`
`QUESTION_SIGN`
`RANDOM`
`REFRESH`
`REMOVE`
`REMOVE_CIRCLE`
`REMOVE_SIGN`
`REPEAT`
`RESIZE_FULL`
`RESIZE_HORIZONTAL`
`RESIZE_SMALL`
`RESIZE_VERTICAL`
`RETWEET`
`ROAD`
`SCREENSHOT`
`SEARCH`
`SHARE`
`SHARE_ALT`
`SHOPPING_CART`
`SIGNAL`
`STAR`
`STAR_EMPTY`
`STEP_BACKWARD`
`STEP_FORWARD`
`STOP`
`TAG`
`TAGS`
`TASKS`
`TEXT_HEIGHT`
`TEXT_WIDTH`
`TH`
`TH_LARGE`
`TH_LIST`
`THUMBS_DOWN`
`THUMBS_UP`
`TIME`
`TINT`
`TRASH`
`UPLOAD`
`USER`
`VOLUME_DOWN`
`VOLUME_OFF`
`VOLUME_UP`
`WARNING_SIGN`
`WRENCH`
`ZOOM_IN`
`ZOOM_OUT`

Method Summary
`java.lang.String` `getClassString()`
`static IconClass` `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static IconClass[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### GLASS

    public static final IconClass GLASS

### MUSIC

    public static final IconClass MUSIC

### SEARCH

    public static final IconClass SEARCH

### ENVELOPE

    public static final IconClass ENVELOPE

### HEART

    public static final IconClass HEART

### STAR

    public static final IconClass STAR

### STAR_EMPTY

    public static final IconClass STAR_EMPTY

### USER

    public static final IconClass USER

### FILM

    public static final IconClass FILM

### TH_LARGE

    public static final IconClass TH_LARGE

### TH

    public static final IconClass TH

### TH_LIST

    public static final IconClass TH_LIST

### OK

    public static final IconClass OK

### REMOVE

    public static final IconClass REMOVE

### ZOOM_IN

    public static final IconClass ZOOM_IN

### ZOOM_OUT

    public static final IconClass ZOOM_OUT

### OFF

    public static final IconClass OFF

### SIGNAL

    public static final IconClass SIGNAL

### COG

    public static final IconClass COG

### TRASH

    public static final IconClass TRASH

### HOME

    public static final IconClass HOME

### FILE

    public static final IconClass FILE

### TIME

    public static final IconClass TIME

### ROAD

    public static final IconClass ROAD

### DOWNLOAD_ALT

    public static final IconClass DOWNLOAD_ALT

### DOWNLOAD

    public static final IconClass DOWNLOAD

### UPLOAD

    public static final IconClass UPLOAD

### INBOX

    public static final IconClass INBOX

### PLAY_CIRCLE

    public static final IconClass PLAY_CIRCLE

### REPEAT

    public static final IconClass REPEAT

### REFRESH

    public static final IconClass REFRESH

### LIST_ALT

    public static final IconClass LIST_ALT

### LOCK

    public static final IconClass LOCK

### FLAG

    public static final IconClass FLAG

### HEADPHONES

    public static final IconClass HEADPHONES

### VOLUME_OFF

    public static final IconClass VOLUME_OFF

### VOLUME_DOWN

    public static final IconClass VOLUME_DOWN

### VOLUME_UP

    public static final IconClass VOLUME_UP

### QRCODE

    public static final IconClass QRCODE

### BARCODE

    public static final IconClass BARCODE

### TAG

    public static final IconClass TAG

### TAGS

    public static final IconClass TAGS

### BOOK

    public static final IconClass BOOK

### BOOKMARK

    public static final IconClass BOOKMARK

### PRINT

    public static final IconClass PRINT

### CAMERA

    public static final IconClass CAMERA

### FONT

    public static final IconClass FONT

### BOLD

    public static final IconClass BOLD

### ITALIC

    public static final IconClass ITALIC

### TEXT_HEIGHT

    public static final IconClass TEXT_HEIGHT

### TEXT_WIDTH

    public static final IconClass TEXT_WIDTH

### ALIGN_LEFT

    public static final IconClass ALIGN_LEFT

### ALIGN_CENTER

    public static final IconClass ALIGN_CENTER

### ALIGN_RIGHT

    public static final IconClass ALIGN_RIGHT

### ALIGN_JUSTIFY

    public static final IconClass ALIGN_JUSTIFY

### LIST

    public static final IconClass LIST

### INDENT_LEFT

    public static final IconClass INDENT_LEFT

### INDENT_RIGHT

    public static final IconClass INDENT_RIGHT

### FACETIME_VIDEO

    public static final IconClass FACETIME_VIDEO

### PICTURE

    public static final IconClass PICTURE

### PENCIL

    public static final IconClass PENCIL

### MAP_MARKER

    public static final IconClass MAP_MARKER

### ADJUST

    public static final IconClass ADJUST

### TINT

    public static final IconClass TINT

### EDIT

    public static final IconClass EDIT

### SHARE

    public static final IconClass SHARE

### CHECK

    public static final IconClass CHECK

### MOVE

    public static final IconClass MOVE

### STEP_BACKWARD

    public static final IconClass STEP_BACKWARD

### FAST_BACKWARD

    public static final IconClass FAST_BACKWARD

### BACKWARD

    public static final IconClass BACKWARD

### PLAY

    public static final IconClass PLAY

### PAUSE

    public static final IconClass PAUSE

### STOP

    public static final IconClass STOP

### FORWARD

    public static final IconClass FORWARD

### FAST_FORWARD

    public static final IconClass FAST_FORWARD

### STEP_FORWARD

    public static final IconClass STEP_FORWARD

### EJECT

    public static final IconClass EJECT

### CHEVRON_LEFT

    public static final IconClass CHEVRON_LEFT

### CHEVRON_RIGHT

    public static final IconClass CHEVRON_RIGHT

### PLUS_SIGN

    public static final IconClass PLUS_SIGN

### MINUS_SIGN

    public static final IconClass MINUS_SIGN

### REMOVE_SIGN

    public static final IconClass REMOVE_SIGN

### OK_SIGN

    public static final IconClass OK_SIGN

### QUESTION_SIGN

    public static final IconClass QUESTION_SIGN

### INFO_SIGN

    public static final IconClass INFO_SIGN

### SCREENSHOT

    public static final IconClass SCREENSHOT

### REMOVE_CIRCLE

    public static final IconClass REMOVE_CIRCLE

### OK_CIRCLE

    public static final IconClass OK_CIRCLE

### BAN_CIRCLE

    public static final IconClass BAN_CIRCLE

### ARROW_LEFT

    public static final IconClass ARROW_LEFT

### ARROW_RIGHT

    public static final IconClass ARROW_RIGHT

### ARROW_UP

    public static final IconClass ARROW_UP

### ARROW_DOWN

    public static final IconClass ARROW_DOWN

### SHARE_ALT

    public static final IconClass SHARE_ALT

### RESIZE_FULL

    public static final IconClass RESIZE_FULL

### RESIZE_SMALL

    public static final IconClass RESIZE_SMALL

### PLUS

    public static final IconClass PLUS

### MINUS

    public static final IconClass MINUS

### ASTERISK

    public static final IconClass ASTERISK

### EXCLAMATION_SIGN

    public static final IconClass EXCLAMATION_SIGN

### GIFT

    public static final IconClass GIFT

### LEAF

    public static final IconClass LEAF

### FIRE

    public static final IconClass FIRE

### EYE_OPEN

    public static final IconClass EYE_OPEN

### EYE_CLOSE

    public static final IconClass EYE_CLOSE

### WARNING_SIGN

    public static final IconClass WARNING_SIGN

### PLANE

    public static final IconClass PLANE

### CALENDAR

    public static final IconClass CALENDAR

### RANDOM

    public static final IconClass RANDOM

### COMMENT

    public static final IconClass COMMENT

### MAGNET

    public static final IconClass MAGNET

### CHEVRON_UP

    public static final IconClass CHEVRON_UP

### CHEVRON_DOWN

    public static final IconClass CHEVRON_DOWN

### RETWEET

    public static final IconClass RETWEET

### SHOPPING_CART

    public static final IconClass SHOPPING_CART

### FOLDER_CLOSE

    public static final IconClass FOLDER_CLOSE

### FOLDER_OPEN

    public static final IconClass FOLDER_OPEN

### RESIZE_VERTICAL

    public static final IconClass RESIZE_VERTICAL

### RESIZE_HORIZONTAL

    public static final IconClass RESIZE_HORIZONTAL

### HDD

    public static final IconClass HDD

### BULLHORN

    public static final IconClass BULLHORN

### BELL

    public static final IconClass BELL

### CERTIFICATE

    public static final IconClass CERTIFICATE

### THUMBS_UP

    public static final IconClass THUMBS_UP

### THUMBS_DOWN

    public static final IconClass THUMBS_DOWN

### HAND_RIGHT

    public static final IconClass HAND_RIGHT

### HAND_LEFT

    public static final IconClass HAND_LEFT

### HAND_UP

    public static final IconClass HAND_UP

### HAND_DOWN

    public static final IconClass HAND_DOWN

### CIRCLE_ARROW_RIGHT

    public static final IconClass CIRCLE_ARROW_RIGHT

### CIRCLE_ARROW_LEFT

    public static final IconClass CIRCLE_ARROW_LEFT

### CIRCLE_ARROW_UP

    public static final IconClass CIRCLE_ARROW_UP

### CIRCLE_ARROW_DOWN

    public static final IconClass CIRCLE_ARROW_DOWN

### GLOBE

    public static final IconClass GLOBE

### WRENCH

    public static final IconClass WRENCH

### TASKS

    public static final IconClass TASKS

### FILTER

    public static final IconClass FILTER

### BRIEFCASE

    public static final IconClass BRIEFCASE

### FULLSCREEN

    public static final IconClass FULLSCREEN

Method Detail

### values

    public static IconClass[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (IconClass c : IconClass.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static IconClass valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
    `java.lang.NullPointerException` - if the argument is null

### getClassString

    public java.lang.String getClassString()

  Specified by:
    `getClassString` in interface `net.dontdrinkandroot.wicket.css.CssClass`

Copyright © 2013 dontdrinkandroot. All Rights Reserved.